#ifndef DMMLIB_H
#include <dmmlib/heap.h>
#include "dmm_config.h"

void * custom_ahmalloc(allocator_t* allocator, heap_t* heap, size_t size);
void custom_ahfree(allocator_t *allocator, heap_t* heap, void *ptr);

#ifndef WITH_MEMORY_SPACE_AWARENESS
void * custom_malloc(size_t size);
void custom_free(void *ptr);

allocator_t systemallocator;
#endif /* WITH_MEMORY_SPACE_AWARENESS */


#endif /* DMMLIB_H */
